# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricStringListEditWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricStringListEditWidget(object):
    def setupUi(self, EricStringListEditWidget):
        EricStringListEditWidget.setObjectName("EricStringListEditWidget")
        EricStringListEditWidget.resize(500, 300)
        EricStringListEditWidget.setWindowTitle("")
        self.verticalLayout = QtWidgets.QVBoxLayout(EricStringListEditWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout_4 = QtWidgets.QGridLayout()
        self.gridLayout_4.setHorizontalSpacing(0)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.searchEdit = QtWidgets.QLineEdit(parent=EricStringListEditWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.searchEdit.sizePolicy().hasHeightForWidth())
        self.searchEdit.setSizePolicy(sizePolicy)
        self.searchEdit.setMinimumSize(QtCore.QSize(300, 0))
        self.searchEdit.setClearButtonEnabled(True)
        self.searchEdit.setObjectName("searchEdit")
        self.gridLayout_4.addWidget(self.searchEdit, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_4.addItem(spacerItem, 0, 0, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_4)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.stringList = EricListView(parent=EricStringListEditWidget)
        self.stringList.setAlternatingRowColors(True)
        self.stringList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.stringList.setObjectName("stringList")
        self.gridLayout.addWidget(self.stringList, 0, 0, 8, 1)
        self.addButton = QtWidgets.QPushButton(parent=EricStringListEditWidget)
        self.addButton.setAutoDefault(False)
        self.addButton.setObjectName("addButton")
        self.gridLayout.addWidget(self.addButton, 0, 1, 1, 1)
        self.addLine = QtWidgets.QFrame(parent=EricStringListEditWidget)
        self.addLine.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.addLine.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.addLine.setObjectName("addLine")
        self.gridLayout.addWidget(self.addLine, 1, 1, 1, 1)
        self.removeButton = QtWidgets.QPushButton(parent=EricStringListEditWidget)
        self.removeButton.setAutoDefault(False)
        self.removeButton.setObjectName("removeButton")
        self.gridLayout.addWidget(self.removeButton, 2, 1, 1, 1)
        self.removeAllButton = QtWidgets.QPushButton(parent=EricStringListEditWidget)
        self.removeAllButton.setAutoDefault(False)
        self.removeAllButton.setObjectName("removeAllButton")
        self.gridLayout.addWidget(self.removeAllButton, 3, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem1, 4, 1, 1, 1)
        self.resetButton = QtWidgets.QPushButton(parent=EricStringListEditWidget)
        self.resetButton.setObjectName("resetButton")
        self.gridLayout.addWidget(self.resetButton, 5, 1, 1, 1)
        self.resetLine = QtWidgets.QFrame(parent=EricStringListEditWidget)
        self.resetLine.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.resetLine.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.resetLine.setObjectName("resetLine")
        self.gridLayout.addWidget(self.resetLine, 6, 1, 1, 1)
        self.defaultButton = QtWidgets.QPushButton(parent=EricStringListEditWidget)
        self.defaultButton.setObjectName("defaultButton")
        self.gridLayout.addWidget(self.defaultButton, 7, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)

        self.retranslateUi(EricStringListEditWidget)
        QtCore.QMetaObject.connectSlotsByName(EricStringListEditWidget)
        EricStringListEditWidget.setTabOrder(self.stringList, self.searchEdit)
        EricStringListEditWidget.setTabOrder(self.searchEdit, self.addButton)
        EricStringListEditWidget.setTabOrder(self.addButton, self.removeButton)
        EricStringListEditWidget.setTabOrder(self.removeButton, self.removeAllButton)
        EricStringListEditWidget.setTabOrder(self.removeAllButton, self.resetButton)
        EricStringListEditWidget.setTabOrder(self.resetButton, self.defaultButton)

    def retranslateUi(self, EricStringListEditWidget):
        _translate = QtCore.QCoreApplication.translate
        self.searchEdit.setToolTip(_translate("EricStringListEditWidget", "Enter search term for strings"))
        self.addButton.setToolTip(_translate("EricStringListEditWidget", "Press to add an entry"))
        self.addButton.setText(_translate("EricStringListEditWidget", "&Add..."))
        self.removeButton.setToolTip(_translate("EricStringListEditWidget", "Press to remove the selected entries"))
        self.removeButton.setText(_translate("EricStringListEditWidget", "&Remove"))
        self.removeAllButton.setToolTip(_translate("EricStringListEditWidget", "Press to remove all entries"))
        self.removeAllButton.setText(_translate("EricStringListEditWidget", "R&emove All"))
        self.resetButton.setToolTip(_translate("EricStringListEditWidget", "Press to reset the list to its initial value"))
        self.resetButton.setText(_translate("EricStringListEditWidget", "Re&set"))
        self.defaultButton.setToolTip(_translate("EricStringListEditWidget", "Press to set the default list of values"))
        self.defaultButton.setText(_translate("EricStringListEditWidget", "&Default"))
from eric7.EricWidgets.EricListView import EricListView
